ECF Documents
Submit Ecf
POST
/
api
/
v1
/
ecf
Submit Ecf
curl --request POST \
--url https://api.emite.do/api/v1/ecf \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"idempotency_key": "<string>",
"ecf_type": "<string>",
"payload": {},
"external_id": "<string>",
"environment": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.emite.do/api/v1/ecf"
payload = {
"idempotency_key": "<string>",
"ecf_type": "<string>",
"payload": {},
"external_id": "<string>",
"environment": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<x-api-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<x-api-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotency_key: '<string>',
ecf_type: '<string>',
payload: {},
external_id: '<string>',
environment: '<string>',
scheduled_for: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.emite.do/api/v1/ecf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"public_id": "<string>",
"idempotency_key": "<string>",
"external_id": "<string>",
"ecf_type": "<string>",
"environment": "<string>",
"encf": "<string>",
"status": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"dgii_track_id": "<string>",
"dgii_security_code": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"public_id": "<string>",
"idempotency_key": "<string>",
"external_id": "<string>",
"ecf_type": "<string>",
"environment": "<string>",
"encf": "<string>",
"status": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"dgii_track_id": "<string>",
"dgii_security_code": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key de la empresa. Se muestra una sola vez al crearla.
Headers
Query Parameters
Pattern:
^(online|deferred)$Body
application/json
Required string length:
1 - 100Required string length:
2Pattern:
^(31|32|33|34|41|43|44|45|46|47)$Maximum string length:
100ISO8601 datetime for deferred mode. Required when mode=deferred.
Response
Replay de la misma idempotency_key. Mismo cuerpo que 201.
⌘I
Submit Ecf
